ActiveTexture(texture)
	return		void
	param		texture		TextureUnit in value

AttachShader(program, shader)
	return		void
	param		program		UInt32 in value
	param		shader		UInt32 in value

BindAttribLocation(program, index, name)
	return		void
	param		program		UInt32 in value
	param		index		UInt32 in value
	param		name		Char in array []

BindBuffer(target, buffer)
	return		void
	param		target		BufferTarget in value
	param		buffer		UInt32 in value

BindFramebuffer(target, framebuffer)
	return		void
	param		target		FramebufferTarget in value
	param		framebuffer	UInt32 in value

BindRenderbuffer(target, renderbuffer)
	return		void
	param		target		RenderbufferTarget in value
	param		renderbuffer	UInt32 in value

BindTexture(target, texture)
	return		void
	param		target		TextureTarget in value
	param		texture		Texture in value

BlendColor(red, green, blue, alpha)
	return		void
	param		red		ClampedColorF in value
	param		green		ClampedColorF in value
	param		blue		ClampedColorF in value
	param		alpha		ClampedColorF in value

BlendEquation(mode)
	return		void
	param		mode		BlendEquationMode in value

BlendEquationSeparate(modeRGB, modeAlpha)
	return		void
	param		modeRGB		BlendEquationMode in value
	param		modeAlpha	BlendEquationMode in value

BlendFunc(sfactor, dfactor)
	return		void
	param		sfactor		BlendingFactorSrc in value
	param		dfactor		BlendingFactorDest in value

BlendFuncSeparate(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha)
	return		void
	param		sfactorRGB	BlendFuncSeparateParameter in value
	param		dfactorRGB	BlendFuncSeparateParameter in value
	param		sfactorAlpha	BlendFuncSeparateParameter in value
	param		dfactorAlpha	BlendFuncSeparateParameter in value

BufferData(target, size, data, usage)
	return		void
	param		target		BufferTarget in value
	param		size		BufferSize in value
	param		data		ConstVoid in array [size]
	param		usage		BufferUsage in value

BufferSubData(target, offset, size, data)
	return		void
	param		target		BufferTarget in value
	param		offset		BufferOffset in value
	param		size		BufferSize in value
	param		data		ConstVoid in array [size]

CheckFramebufferStatus(target)
	return		GLenum
	param		target		FramebufferTarget in value

Clear(mask)
	return		void
	param		mask		ClearBufferMask in value

ClearColor(red, green, blue, alpha)
	return		void
	param		red		ClampedColorF in value
	param		green		ClampedColorF in value
	param		blue		ClampedColorF in value
	param		alpha		ClampedColorF in value

ClearDepthf(depth)
	return		void
	param		depth		ClampedFloat32 in value

ClearStencil(s)
	return		void
	param		s		StencilValue in value

ColorMask(red, green, blue, alpha)
	return		void
	param		red		Boolean in value
	param		green		Boolean in value
	param		blue		Boolean in value
	param		alpha		Boolean in value

CompileShader(shader)
	return		void
	param		shader		UInt32 in value

CompressedTexImage2D(target, level, internalformat, width, height, border, imageSize, data)
	return		void
	param		target		TextureTarget in value
	param		level		CheckedInt32 in value
	param		internalformat	PixelInternalFormat in value
	param		width		SizeI in value
	param		height		SizeI in value
	param		border		CheckedInt32 in value
	param		imageSize	SizeI in value
	param		data		CompressedTexture in array [imageSize]

CompressedTexSubImage2D(target, level, xoffset, yoffset, width, height, format, imageSize, data)
	return		void
	param		target		TextureTarget in value
	param		level		CheckedInt32 in value
	param		xoffset		CheckedInt32 in value
	param		yoffset		CheckedInt32 in value
	param		width		SizeI in value
	param		height		SizeI in value
	param		format		PixelFormat in value
	param		imageSize	SizeI in value
	param		data		CompressedTexture in array [imageSize]

CopyTexImage2D(target, level, internalformat, x, y, width, height, border)
	return		void
	param		target		TextureTarget in value
	param		level		CheckedInt32 in value
	param		internalformat	PixelInternalFormat in value
	param		x		WinCoord in value
	param		y		WinCoord in value
	param		width		SizeI in value
	param		height		SizeI in value
	param		border		CheckedInt32 in value

CopyTexSubImage2D(target, level, xoffset, yoffset, x, y, width, height)
	return		void
	param		target		TextureTarget in value
	param		level		CheckedInt32 in value
	param		xoffset		CheckedInt32 in value
	param		yoffset		CheckedInt32 in value
	param		x		WinCoord in value
	param		y		WinCoord in value
	param		width		SizeI in value
	param		height		SizeI in value

CreateProgram()
	return		UInt32

CreateShader(type)
	return		UInt32
	param		type		GLenum in value

CullFace(mode)
	return		void
	param		mode		CullFaceMode in value

DeleteBuffers(n, buffers)
	return		void
	param		n		SizeI in value
	param		buffers		ConstUInt32 in array [n]

DeleteFramebuffers(n, framebuffers)
	return		void
	param		n		SizeI in value
	param		framebuffers	UInt32 in array [n]

DeleteProgram(program)
	return		void
	param		program		UInt32 in value

DeleteRenderbuffers(n, renderbuffers)
	return		void
	param		n		SizeI in value
	param		renderbuffers	UInt32 in array [n]

DeleteShader(shader)
	return		void
	param		shader		UInt32 in value

DeleteTextures(n, textures)
	return		void
	param		n		SizeI in value
	param		textures	Texture in array [n]

DepthFunc(func)
	return		void
	param		func		DepthFunction in value

DepthMask(flag)
	return		void
	param		flag		Boolean in value

DepthRangef(near, far)
	return		void
	param		near		ClampedFloat32 in value
	param		far		ClampedFloat32 in value

DetachShader(program, shader)
	return		void
	param		program		UInt32 in value
	param		shader		UInt32 in value

Disable(cap)
	return		void
	param		cap		EnableCap in value

DisableVertexAttribArray(index)
	return		void
	param		index		UInt32 in value

DrawArrays(mode, first, count)
	return		void
	param		mode		BeginMode in value
	param		first		Int32 in value
	param		count		SizeI in value

DrawElements(mode, count, type, indices)
	return		void
	param		mode		BeginMode in value
	param		count		SizeI in value
	param		type		DrawElementsType in value
	param		indices		Void in array [COMPSIZE(count/type)]

Enable(cap)
	return		void
	param		cap		EnableCap in value

EnableVertexAttribArray(index)
	return		void
	param		index		UInt32 in value

Finish()
	return		void

Flush()
	return		void

FramebufferRenderbuffer(target, attachment, renderbuffertarget, renderbuffer)
	return		void
	param		target		FramebufferTarget in value
	param		attachment	FramebufferAttachment in value
	param		renderbuffertarget	RenderbufferTarget in value
	param		renderbuffer	UInt32 in value

FramebufferTexture2D(target, attachment, textarget, texture, level)
	return		void
	param		target		FramebufferTarget in value
	param		attachment	FramebufferAttachment in value
	param		textarget	GLenum in value
	param		texture		UInt32 in value
	param		level		Int32 in value

FrontFace(mode)
	return		void
	param		mode		FrontFaceDirection in value

GenBuffers(n, buffers)
	return		void
	param		n		SizeI in value
	param		buffers		UInt32 out array [n]

GenerateMipmap(target)
	return		void
	param		target		GLenum in value

GenFramebuffers(n, framebuffers)
	return		void
	param		n		SizeI in value
	param		framebuffers	UInt32 out array [n]

GenRenderbuffers(n, renderbuffers)
	return		void
	param		n		SizeI in value
	param		renderbuffers	UInt32 out array [n]

GenTextures(n, textures)
	return		void
	param		n		SizeI in value
	param		textures	Texture out array [n]

GetActiveAttrib(program, index, bufSize, length, size, type, name)
	return		void
	param		program		UInt32 in value
	param		index		UInt32 in value
	param		bufSize		SizeI in value
	param		length		SizeI out array [1]
	param		size		Int32 out array [1]
	param		type		GLenum out array [1]
	param		name		Char out array []

GetActiveUniform(program, index, bufSize, length, size, type, name)
	return		void
	param		program		UInt32 in value
	param		index		UInt32 in value
	param		bufSize		SizeI in value
	param		length		SizeI out array [1]
	param		size		Int32 out array [1]
	param		type		GLenum out array [1]
	param		name		Char out array []

GetAttachedShaders(program, maxCount, count, obj)
	return		void
	param		program		UInt32 in value
	param		maxCount	SizeI in value
	param		count		SizeI out array [1]
	param		obj		UInt32 out array [count]

GetAttribLocation(program, name)
	return		Int32
	param		program		UInt32 in value
	param		name		Char in array []

GetBooleanv(pname, params)
	return		void
	param		pname		GetPName in value
	param		params		Boolean out array [COMPSIZE(pname)]

GetBufferParameteriv(target, pname, params)
	return		void
	param		target		BufferTarget in value
	param		pname		BufferPName in value
	param		params		Int32 out array [COMPSIZE(pname)]

GetError()
	return		ErrorCode

GetFloatv(pname, params)
	return		void
	param		pname		GetPName in value
	param		params		Float32 out array [COMPSIZE(pname)]

GetFramebufferAttachmentParameteriv(target, attachment, pname, params)
	return		void
	param		target		FramebufferTarget in value
	param		attachment	FramebufferAttachment in value
	param		pname		GLenum in value
	param		params		Int32 out array [COMPSIZE(pname)]

GetIntegerv(pname, params)
	return		void
	param		pname		GetPName in value
	param		params		Int32 out array [COMPSIZE(pname)]

GetProgramiv(program, pname, params)
	return		void
	param		program		UInt32 in value
	param		pname		GLenum in value
	param		params		Int32 out array [pname]

GetProgramInfoLog(program, bufSize, length, infoLog)
	return		void
	param		program		UInt32 in value
	param		bufSize		SizeI in value
	param		length		SizeI out array [1]
	param		infoLog		Char out array [length]

GetRenderbufferParameteriv(target, pname, params)
	return		void
	param		target		RenderbufferTarget in value
	param		pname		GLenum in value
	param		params		Int32 out array [COMPSIZE(pname)]

GetShaderiv(shader, pname, params)
	return		void
	param		shader		UInt32 in value
	param		pname		GLenum in value
	param		params		Int32 out array [pname]

GetShaderInfoLog(shader, bufSize, length, infoLog)
	return		void
	param		shader		UInt32 in value
	param		bufSize		SizeI in value
	param		length		SizeI out array [1]
	param		infoLog		Char out array [length]

#GetShaderPrecisionFormat

GetShaderSource(shader, bufSize, length, source)
	return		void
	param		shader		UInt32 in value
	param		bufSize		SizeI in value
	param		length		SizeI out array [1]
	param		source		Char out array [length]

GetString(name)
	return		String
	param		name		StringName in value

GetTexParameterfv(target, pname, params)
	return		void
	param		target		TextureTarget in value
	param		pname		GetTextureParameter in value
	param		params		Float32 out array [COMPSIZE(pname)]

GetTexParameteriv(target, pname, params)
	return		void
	param		target		TextureTarget in value
	param		pname		GetTextureParameter in value
	param		params		Int32 out array [COMPSIZE(pname)]

GetUniformfv(program, location, params)
	return		void
	param		program		UInt32 in value
	param		location	Int32 in value
	param		params		Float32 out array [location]

GetUniformiv(program, location, params)
	return		void
	param		program		UInt32 in value
	param		location	Int32 in value
	param		params		Int32 out array [location]

GetUniformLocation(program, name)
	return		Int32
	param		program		UInt32 in value
	param		name		Char in array []

GetVertexAttribfv(index, pname, params)
	return		void
	param		index		UInt32 in value
	param		pname		VertexAttribPropertyARB in value
	param		params		Float32 out array [4]

GetVertexAttribiv(index, pname, params)
	return		void
	param		index		UInt32 in value
	param		pname		VertexAttribPropertyARB in value
	param		params		Int32 out array [4]

GetVertexAttribPointerv(index, pname, pointer)
	return		void
	param		index		UInt32 in value
	param		pname		VertexAttribPointerPropertyARB in value
	param		pointer		VoidPointer out array [1]

Hint(target, mode)
	return		void
	param		target		HintTarget in value
	param		mode		HintMode in value

IsBuffer(buffer)
	return		Boolean
	param		buffer		UInt32 in value

IsEnabled(cap)
	return		Boolean
	param		cap		EnableCap in value

IsFramebuffer(framebuffer)
	return		Boolean
	param		framebuffer	UInt32 in value

IsProgram(program)
	return		Boolean
	param		program		UInt32 in value

IsRenderbuffer(renderbuffer)
	return		Boolean
	param		renderbuffer	UInt32 in value

IsShader(shader)
	return		Boolean
	param		shader		UInt32 in value

IsTexture(texture)
	return		Boolean
	param		texture		Texture in value

LineWidth(width)
	return		void
	param		width		CheckedFloat32 in value

LinkProgram(program)
	return		void
	param		program		UInt32 in value

PixelStorei(pname, param)
	return		void
	param		pname		PixelStoreParameter in value
	param		param		CheckedInt32 in value

PolygonOffset(factor, units)
	return		void
	param		factor		Float32 in value
	param		units		Float32 in value

ReadPixels(x, y, width, height, format, type, pixels)
	return		void
	param		x		WinCoord in value
	param		y		WinCoord in value
	param		width		SizeI in value
	param		height		SizeI in value
	param		format		PixelFormat in value
	param		type		PixelType in value
	param		pixels		Void out array [COMPSIZE(format/type/width/height)]

#ReleaseShaderCompiler

RenderbufferStorage(target, internalformat, width, height)
	return		void
	param		target		RenderbufferTarget in value
	param		internalformat	GLenum in value
	param		width		SizeI in value
	param		height		SizeI in value

SampleCoverage(value, invert)
	return		void
	param		value		ClampedFloat32 in value
	param		invert		Boolean in value

Scissor(x, y, width, height)
	return		void
	param		x		WinCoord in value
	param		y		WinCoord in value
	param		width		SizeI in value
	param		height		SizeI in value

#ShaderBinary

ShaderSource(shader, count, string, length)
	return		void
	param		shader		UInt32 in value
	param		count		SizeI in value
	param		string		CharPointer in array [count]
	param		length		Int32 in array [1]

StencilFunc(func, ref, mask)
	return		void
	param		func		StencilFunction in value
	param		ref		ClampedStencilValue in value
	param		mask		MaskedStencilValue in value

StencilFuncSeparate(frontfunc, backfunc, ref, mask)
	return		void
	param		frontfunc	StencilFunction in value
	param		backfunc	StencilFunction in value
	param		ref		ClampedStencilValue in value
	param		mask		MaskedStencilValue in value

StencilMask(mask)
	return		void
	param		mask		MaskedStencilValue in value

StencilMaskSeparate(face, mask)
	return		void
	param		face		StencilFaceDirection in value
	param		mask		MaskedStencilValue in value

StencilOp(fail, zfail, zpass)
	return		void
	param		fail		StencilOp in value
	param		zfail		StencilOp in value
	param		zpass		StencilOp in value

StencilOpSeparate(face, sfail, dpfail, dppass)
	return		void
	param		face		StencilFaceDirection in value
	param		sfail		StencilOp in value
	param		dpfail		StencilOp in value
	param		dppass		StencilOp in value

TexImage2D(target, level, internalformat, width, height, border, format, type, pixels)
	return		void
	param		target		TextureTarget in value
	param		level		CheckedInt32 in value
	param		internalformat	TextureComponentCount in value
	param		width		SizeI in value
	param		height		SizeI in value
	param		border		CheckedInt32 in value
	param		format		PixelFormat in value
	param		type		PixelType in value
	param		pixels		Void in array [COMPSIZE(format/type/width/height)]

TexParameterf(target, pname, param)
	return		void
	param		target		TextureTarget in value
	param		pname		TextureParameterName in value
	param		param		CheckedFloat32 in value

TexParameterfv(target, pname, params)
	return		void
	param		target		TextureTarget in value
	param		pname		TextureParameterName in value
	param		params		CheckedFloat32 in array [COMPSIZE(pname)]

TexParameteri(target, pname, param)
	return		void
	param		target		TextureTarget in value
	param		pname		TextureParameterName in value
	param		param		CheckedInt32 in value

TexParameteriv(target, pname, params)
	return		void
	param		target		TextureTarget in value
	param		pname		TextureParameterName in value
	param		params		CheckedInt32 in array [COMPSIZE(pname)]

TexSubImage2D(target, level, xoffset, yoffset, width, height, format, type, pixels)
	return		void
	param		target		TextureTarget in value
	param		level		CheckedInt32 in value
	param		xoffset		CheckedInt32 in value
	param		yoffset		CheckedInt32 in value
	param		width		SizeI in value
	param		height		SizeI in value
	param		format		PixelFormat in value
	param		type		PixelType in value
	param		pixels		Void in array [COMPSIZE(format/type/width/height)]

Uniform1f(location, v0)
	return		void
	param		location	Int32 in value
	param		v0		Float32 in value

Uniform1fv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Float32 in array [count]

Uniform1i(location, v0)
	return		void
	param		location	Int32 in value
	param		v0		Int32 in value

Uniform1iv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Int32 in array [count]

Uniform2f(location, v0, v1)
	return		void
	param		location	Int32 in value
	param		v0		Float32 in value
	param		v1		Float32 in value

Uniform2fv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Float32 in array [count]

Uniform2i(location, v0, v1)
	return		void
	param		location	Int32 in value
	param		v0		Int32 in value
	param		v1		Int32 in value

Uniform2iv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Int32 in array [count]

Uniform3f(location, v0, v1, v2)
	return		void
	param		location	Int32 in value
	param		v0		Float32 in value
	param		v1		Float32 in value
	param		v2		Float32 in value

Uniform3fv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Float32 in array [count]

Uniform3i(location, v0, v1, v2)
	return		void
	param		location	Int32 in value
	param		v0		Int32 in value
	param		v1		Int32 in value
	param		v2		Int32 in value

Uniform3iv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Int32 in array [count]

Uniform4f(location, v0, v1, v2, v3)
	return		void
	param		location	Int32 in value
	param		v0		Float32 in value
	param		v1		Float32 in value
	param		v2		Float32 in value
	param		v3		Float32 in value

Uniform4fv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Float32 in array [count]

Uniform4i(location, v0, v1, v2, v3)
	return		void
	param		location	Int32 in value
	param		v0		Int32 in value
	param		v1		Int32 in value
	param		v2		Int32 in value
	param		v3		Int32 in value

Uniform4iv(location, count, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		value		Int32 in array [count]

UniformMatrix2fv(location, count, transpose, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		transpose	Boolean in value
	param		value		Float32 in array [count]

UniformMatrix3fv(location, count, transpose, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		transpose	Boolean in value
	param		value		Float32 in array [count]

UniformMatrix4fv(location, count, transpose, value)
	return		void
	param		location	Int32 in value
	param		count		SizeI in value
	param		transpose	Boolean in value
	param		value		Float32 in array [count]

UseProgram(program)
	return		void
	param		program		UInt32 in value

ValidateProgram(program)
	return		void
	param		program		UInt32 in value

VertexAttrib1f(index, x)
	return		void
	param		index		UInt32 in value
	param		x		Float32 in value

VertexAttrib1fv(index, v)
	return		void
	param		index		UInt32 in value
	param		v		Float32 in array [1]

VertexAttrib2f(index, x, y)
	return		void
	param		index		UInt32 in value
	param		x		Float32 in value
	param		y		Float32 in value

VertexAttrib2fv(index, v)
	return		void
	param		index		UInt32 in value
	param		v		Float32 in array [2]

VertexAttrib3f(index, x, y, z)
	return		void
	param		index		UInt32 in value
	param		x		Float32 in value
	param		y		Float32 in value
	param		z		Float32 in value

VertexAttrib3fv(index, v)
	return		void
	param		index		UInt32 in value
	param		v		Float32 in array [3]

VertexAttrib4f(index, x, y, z, w)
	return		void
	param		index		UInt32 in value
	param		x		Float32 in value
	param		y		Float32 in value
	param		z		Float32 in value
	param		w		Float32 in value

VertexAttrib4fv(index, v)
	return		void
	param		index		UInt32 in value
	param		v		Float32 in array [4]

VertexAttribPointer(index, size, type, normalized, stride, pointer)
	return		void
	param		index		UInt32 in value
	param		size		Int32 in value
	param		type		VertexAttribPointerTypeARB in value
	param		normalized	Boolean in value
	param		stride		SizeI in value
	param		pointer		Void in array [COMPSIZE(size/type/stride)] retained

Viewport(x, y, width, height)
	return		void
	param		x		WinCoord in value
	param		y		WinCoord in value
	param		width		SizeI in value
	param		height		SizeI in value
